Subject: Re: Timezone manipulation within Perl script
From: [email-masked]
To: [email-masked]
Date: Sat, 15 Dec 2007 09:51:17 +0100 (CET)
List-Id: <cygwin.cygwin.com>

You are right. Package tzcode was missing. After installing it, timezone conversion script works ok. Output is the the same when running under cygwin and ActiveState perl. Thank you for your help.

BTW How should I detect that there is another package required/missing?

Roman

> ------------ Původní zpráva ------------
> Od: Brian Dessent <[email-masked]>
> Předmět: Re: Timezone manipulation within Perl script
> Datum: 15.12.2007 02:05:28
> ----------------------------------------
> [email-masked] wrote:
>
> > I want to ask you how convert time between different timezones in perl script
> running under cygwin. I have an application which store datetime information in
> Zulu/GMT. I need to provide date in user timezone. How to do the correct
> conversion? I want to be able to offer Timezone info like 'Europe/Prague'.
> Following code snippet will provide correct output when running under Active
> state Perl (time will differ 1 or 2 hours depending on input date), but when
> running under cygwin perl no conversion will be done. Can anyone help me?
>
> The testcase works fine for me as well.  You didn't include cygcheck
> output, so do you have the tzcode package installed?  If not, try
> installing it.  It should be part of Base now so you should get it
> automatically the next time you run setup.
>
> Brian
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/